Whmcs php8 ioncube whmcs no ioncube for php 8
whmcs no ioncube for php 8 - php8 icon cube



Requests for PHP support

Recently, customers like you have contacted us for more updates to our PHP support. We want to be sure you have all the information on this important part of WHMCS's continued evolution.

Currently, as we finish releasing WHMCS 8.2, WHMCS can run on PHP 7.2, 7.3, and 7.4. The next step for us will be PHP 8 (we even have as much development work for it as possible ready to go) but implementing and releasing it presents a major roadblock. That's unfortunately due to ionCube and its support for new PHP versions. Our current scope of PHP support is compatible with the most recent versions of ionCube. However, ionCube's incompatibility with PHP 8 is a major limitation that prevents us from going further.

PHP 8 reached General Availability near the beginning of the year. Our customers want to run supported PHP versions in their webstacks for a variety of important reasons and we hear you! We'd love to tell you you'll see this coming soon, but, right now, our ability to support PHP 8 is entirely dependent on ionCube applying the necessary updates first.

ionCube and WHMCS

Why does WHMCS have a dependency on ionCube? ionCube is vital for performance, to protect and enforce licensing requirements, and to ensure that upgrades go smoothly, among other benefits. ionCube also assists in the process when you submit a support ticket with us. WHMCS support is able to verify that your installation uses the same core code we ship and hasn't been altered. (Of course, this doesn't apply to supported customizations.)

As you can see, ionCube is an important piece of the software development puzzle, which is why we can't release support for PHP 8 until we're able to test it with an up-to-date version of ionCube. It's important that ionCube continues to update their products for these newer versions of PHP. Since ionCube isn't developed by WHMCS, though, and since ionCube has not announced their development plans, we can't currently give a timeline for PHP 8.

In the future

Moving forward, WHMCS is continuing to monitor ionCube's status and ensure that our own codebase is ready for a swift and easy transition to PHP 8 support as soon as it's feasible. When PHP 8 is supported, we intend to move as quickly as we can while still ensuring that we meet your needs. Our developers are ahead of the game right now, with our changes for PHP 8 support already staged and ready. We're just waiting for that last piece of the puzzle.

We always want to provide the widest range of PHP support possible, both for new PHP versions and those that are approaching End of Life, whenever we can. PHP 8 will bring performance enhancements to help WHMCS run faster and more efficiently, so we're excited to add it to the list of supported PHP versions just as soon as we can.



:


whmcs ionCube
https://forum.ioncube.com/viewtopic....c8b4a04c80132f

7.4 8

whmcs ioncube

:
https://blog.whmcs.com/133698/update...pport-in-whmcs